### Method

# Gio DBusConnection call_with_unix_fd_list_sync

since: 2.30

#### Declaration

    GVariant*
    g_dbus_connection_call_with_unix_fd_list_sync (
      GDBusConnection* connection,
      const gchar* bus_name,
      const gchar* object_path,
      const gchar* interface_name,
      const gchar* method_name,
      GVariant* parameters,
      const GVariantType* reply_type,
      GDBusCallFlags flags,
      gint timeout_msec,
      GUnixFDList* fd_list,
      GUnixFDList** out_fd_list,
      GCancellable* cancellable,
      GError** error
    )

#### Description

Like `g_dbus_connection_call_sync()` but also takes and returns `GUnixFDList` objects. See `g_dbus_connection_call_with_unix_fd_list()` and `g_dbus_connection_call_with_unix_fd_list_finish()` for more details.

This method is only available on UNIX.

Available since: 2.30

#### Parameters

`bus_name`

  Type: `const gchar*`

  A unique or well-known bus name or `NULL` if `connection` is not a message bus connection.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`object_path`

  Type: `const gchar*`

  Path of remote object.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`interface_name`

  Type: `const gchar*`

  D-Bus interface to invoke method on.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`method_name`

  Type: `const gchar*`

  The name of the method to invoke.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`parameters`

  Type: `GVariant`

  A `GVariant` tuple with parameters for the method or `NULL` if not passing parameters.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`reply_type`

  Type: `GVariantType`

  The expected type of the reply, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`flags`

  Type: `GDBusCallFlags`

  Flags from the `GDBusCallFlags` enumeration.

`timeout_msec`

  Type: `gint`

  The timeout in milliseconds, -1 to use the default timeout or `G_MAXINT` for no timeout.

`fd_list`

  Type: `GUnixFDList`

  A `GUnixFDList` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`out_fd_list`

  Type: `GUnixFDList`

  Return location for a `GUnixFDList` or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`cancellable`

  Type: `GCancellable`

  A `GCancellable` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GVariant`

`NULL` if `error` is set. Otherwise a non-floating `GVariant` tuple with return values. Free with g_variant_unref().

The caller of the method takes ownership of the returned data, and is responsible for freeing it.